> For the complete documentation index, see [llms.txt](https://tronex.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://tronex.gitbook.io/docs/api-documentation/api-v1/balance.md).

# Balance

## Get balance&#x20;

> Request to retrieve the user's current balance. The authentication token must be sent in header X-API-KEY with the request. This token is used to identify the user.

```json
{"openapi":"3.0.3","info":{"title":"Tronex API","version":"1.0.0"},"servers":[{"url":"https://api.tronex.energy","description":"API Server"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","in":"header","name":"X-API-KEY","description":"API key for authentication"}}},"paths":{"/api/v1/balance":{"get":{"summary":"Get balance ","tags":["Balance"],"description":"Request to retrieve the user's current balance. The authentication token must be sent in header X-API-KEY with the request. This token is used to identify the user.","responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"balance":{"type":"number"}},"required":["balance"],"additionalProperties":false}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"statusCode":{"type":"number","enum":[401]},"code":{"default":"UNAUTHORIZED","type":"string"},"error":{"default":"Unauthorized","type":"string"},"message":{"default":"Invalid authorization token","type":"string"}},"required":["statusCode","code","error","message"],"additionalProperties":false,"description":"Unauthorized error"}}}}}}}}}
```

## Get refill address&#x20;

> The method is used to get the address where the user's balance will be refilled. The user must provide a valid authentication token in header.

```json
{"openapi":"3.0.3","info":{"title":"Tronex API","version":"1.0.0"},"servers":[{"url":"https://api.tronex.energy","description":"API Server"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","in":"header","name":"X-API-KEY","description":"API key for authentication"}}},"paths":{"/api/v1/refill":{"get":{"summary":"Get refill address ","tags":["Balance"],"description":"The method is used to get the address where the user's balance will be refilled. The user must provide a valid authentication token in header.","responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"balance":{"type":"number"},"address":{"type":"string"}},"required":["balance","address"],"additionalProperties":false,"description":"Wallet address to top up balance"}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"statusCode":{"type":"number","enum":[401]},"code":{"default":"UNAUTHORIZED","type":"string"},"error":{"default":"Unauthorized","type":"string"},"message":{"default":"Invalid authorization token","type":"string"}},"required":["statusCode","code","error","message"],"additionalProperties":false,"description":"Unauthorized error"}}}}}}}}}
```
